using 1.7 in php5 environment

The place for "I can't figure out how to..." questions.
Post Reply
JoeMurray
User
Posts: 1
Joined: Tue Apr 18, 2006 2:15 pm
Location: Toronto

using 1.7 in php5 environment

Post by JoeMurray » Tue Apr 18, 2006 8:47 pm

I'm running Drupal in php5 to facilitate development of CiviCRM. An audio module uses getID3 [url]http://drupal.org/project/audio[/url] . I notice getID3 v. 2 hasn't had anything released for a year and half, so I'm wondering if the old intention to support php5 is still there. Also, what issues other than memory problems are known to exist when running latest 1.7 in php5? Do you know of any people using it in php5 that I could contact?

Allan Hansen
getID3() v2 developer
Posts: 445
Joined: Sun May 04, 2003 2:22 pm
Location: Holmegaard, Denmark

Post by Allan Hansen » Mon May 01, 2006 12:59 pm

I have not tested getID3() v1.7.5 and 1.7.6, but 1.7.4 produced same output on out test files on PHP4 and PHP5, but uses a lot more memory.

It is still our intention to support PHP5, but I have not written a single line of commercial PHP5 code since last beta release. The company I work at still use PHP4 only, so I have little real life experience with PHP5.

2.0.0 is not dead yet.

Post Reply